Last Comment Bug 469117 - Multiple Proxy Authentication Required
: Multiple Proxy Authentication Required
Status: RESOLVED FIXED
[fixed by bug 475053 and bug 535103]
: helpwanted, regression
Product: Thunderbird
Classification: Client Software
Component: Security (show other bugs)
: Trunk
: All All
: -- normal with 17 votes (vote)
: Thunderbird 11.0
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 531023 533926 537682 573526 576494 (view as bug list)
Depends on: 475053 535103
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 04:23 PST by Kai Stukenbrock
Modified: 2011-11-16 02:43 PST (History)
26 users (show)
dmose: wanted‑thunderbird+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Kai Stukenbrock 2008-12-11 04:23:36 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.4) Gecko/2008102920 Firefox/3.0.4
Build Identifier: TB 3.0b1

Sitting behind an authenticated proxy, after starting up, every single attempt to access the web creates its own authentication request popup. Since I have some 30 blogs subscribed, I get some 30 authentication requests at startup!

This is no issue in TB2, but makes TB3.0b1 an absolute no-go in a corporate or similar environment.

The following bug in Firefox is similar, but not fully, since Firefox also asks for the master password multiple times, which TB actually does only once
https://bugzilla.mozilla.org/show_bug.cgi?id=339804

Reproducible: Always

Steps to Reproduce:
1. Open Firefox (behind authenticated proxy, with proxy password stored, and secured by master password)

Actual Results:  
1. Request for master password pops up. Enter, click ok.
2. Some 30 requests for proxy authentication pop up

Expected Results:  
1. Request for master password pops up. Enter, click ok.
2. One request for proxy authentication pops up
Comment 1 Matthias Versen [:Matti] 2008-12-11 07:01:53 PST
There is a different bug for Firefox about asking for either Proxy or http Auth bugs multible times at session restore or if you load multible sites as homepage.
Comment 2 Kai Stukenbrock 2009-07-22 07:19:12 PDT
This bug is still present in Beta 3, and is still extremely annoying.

The corresponding bugs in Firefox are being closed just now
https://bugzilla.mozilla.org/show_bug.cgi?id=339804
https://bugzilla.mozilla.org/show_bug.cgi?id=475053

It would be fantastic if this bug could therefore be closed before TB goes out of Beta!
Comment 3 Joshua Cranmer [:jcranmer] 2009-07-22 16:10:20 PDT
(In reply to comment #2)
> It would be fantastic if this bug could therefore be closed before TB goes out
> of Beta!

If it's committed to the mozilla 1.9.1 branch, TB will get it in version 3. If not, then it won't.
Comment 4 Kai Stukenbrock 2009-07-23 05:21:04 PDT
Hm, it seems the Firefox fixes will be going into 1.9.2a1...

Still, this is a major regression over TB2 behaviour and renders TB3 unusable in a corporate environment w/ authenticated proxy (whereas under TB2 this is working fine). Wouldn't this at least warrant an attempt at fixing this prior to TB3 release?
Comment 5 Tiago 2009-10-29 05:11:02 PDT
Still happening on Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.4) Gecko/20091016 Firefox/3.5.4

Also happens when updating multiple plugins.
And even if entered the master password and aknowlegded the proxy user/password during plugin update, firefox will ask again when loading the initial tabs.
Comment 6 woova165 2009-11-19 01:39:34 PST
Given that firefox supports an incredible number of tabs which are saved between sessions and are reloaded upon start-up, and they ask for authentication then, this is a **** showstopper.
Comment 7 Joshua Cranmer [:jcranmer] 2009-12-10 05:57:45 PST
*** Bug 531023 has been marked as a duplicate of this bug. ***
Comment 8 Ludovic Hirlimann [:Usul] 2009-12-10 07:06:54 PST
*** Bug 533926 has been marked as a duplicate of this bug. ***
Comment 9 Ludovic Hirlimann [:Usul] 2009-12-10 07:07:34 PST
confirming based on dups.
Comment 10 Ludovic Hirlimann [:Usul] 2009-12-16 08:39:21 PST
*** Bug 535103 has been marked as a duplicate of this bug. ***
Comment 11 Ludovic Hirlimann [:Usul] 2010-01-07 03:45:06 PST
*** Bug 537682 has been marked as a duplicate of this bug. ***
Comment 12 Hubert FONGARNAND 2010-01-19 23:50:05 PST
this bug is preventing us from deploying TB3 in our firm... so i hope that it will be resolved for TB3.1
Comment 13 woova165 2010-01-20 03:14:03 PST
Don't care anymore, switching browsers has solved this problem.
Comment 14 Dan Mosedale (:dmose) 2010-02-12 16:07:17 PST
This appears to be more fallout from the various prompting changes that happened in Mozilla 1.9.  Giving to Standard8, since he's the expert here.  Given the DUPs, and if this is preventing organizations from upgrading Tb2 to Tb3, I think this probably wants to block 3.1.  Marking as needed+ and leaving to Standard8 to target further.

Roland, have you see any complaints about this in GS?
Comment 15 Roland Tanglao :rolandtanglao 2010-02-22 12:18:15 PST
I haven't heard any complaints about this.(In reply to comment #14)
> This appears to be more fallout from the various prompting changes that
> happened in Mozilla 1.9.  Giving to Standard8, since he's the expert here. 
> Given the DUPs, and if this is preventing organizations from upgrading Tb2 to
> Tb3, I think this probably wants to block 3.1.  Marking as needed+ and leaving
> to Standard8 to target further.
> 
> Roland, have you see any complaints about this in GS?
Haven't seen any complaints about this in GS, but I may have missed a few.
Comment 16 kloor68373 2010-03-03 01:51:26 PST
As a workaround for a convenient use of TB3 even with a big number of rss feeds you can enter credentials into the first of the authentication dialogs and then right click your inbox tree item to open TB in a new window - fortunately authentication dialogs are not modal. After opening the new instance the old one can be closed including all of its dialogs.
Comment 17 Dan Mosedale (:dmose) 2010-03-08 15:34:04 PST
We're resetting the blocking flag for 3.1 on this bug and instead setting the wanted-thunderbird+ flag. We have too many blocking-3.1 bugs, to the point where it doesn't mean much, and managing the list is making it hard to actually work on closing bugs, which helps no one.

Thunderbird 3.1's primary purpose is to allow us to offer a prompted major update to Thunderbird 2 users, to ensure their continued ability to safely use Thunderbird.  Thunderbird 2 is built on an outdated version of Gecko, and our long-term ability to maintain the users' safety for Thunderbird 2 users is limited.

If you think this bug meets the requirements below, please renominate with a detailed explanation of how it meets the following two criteria, and we will reconsider.  To qualify, this bug must either:

a) make the upgrade experience from TB2 very painful for a large number of users

or

b) be a new, reproducible, severe quality issue (eg dataloss, frequent crashes)

Just because this bug doesn't block TB3.1 doesn't mean it can't or won't make the release.  Once they're done with their blockers (if any), we encourage developers to keep working on non-blocking bugs, and to try to land them as early in the cycle as possible, as non-blocking bugs will become increasingly difficult to land in the later stages of the cycle.
Comment 18 Ludovic Hirlimann [:Usul] 2010-06-29 06:06:00 PDT
*** Bug 573526 has been marked as a duplicate of this bug. ***
Comment 19 albert.martinez 2010-06-29 06:11:54 PDT
As a workaround to this annoying behavior, after launching TB, I look for an update of the tool via "?" menu. This triggers an authentication to the proxy and then everything is OK.

Hope it helps.
Comment 20 Fabio Figueiredo 2010-08-26 06:17:19 PDT
Same here 

Version : Mozilla/5.0 (Windows; U; Windows NT 5.1; pt-BR; rv:1.9.2.8)
Gecko/20100802 Thunderbird/3.1.2

SO      : Windows XP SP3

Proxy Server  : squid Version 2.6.STABLE21  (with authentication ,working fine
with any browser)

Problem:
Asked for user and password for each link, in the first email with external content.
Comment 21 Laurent Bauvens 2011-04-18 08:01:17 PDT
In our organization, we currently deploy Thunderbird 3.1. As we use authenticated web proxies, some of our users who received mails like html newsletters experienced an authentication request for each element stored on the Web.

As said in previous comments, this behavior didn't exist with older versions of  Thunderbird (1.5, 2.0). 

Obviously, people who receive this kind of newsletters are mainly part of the direction staff. So one can consider this bug as being in high exposure...
Comment 22 Mark Banner (:standard8) 2011-04-18 10:23:17 PDT
I'm not working on this at the moment so reassign to nobody, but setting as helpwanted.

I would suggest that folks check if this is still an issue in the Miramar preview builds as I believe some changes have gone in there.

If it is related to what I think it is, then I would expect that 3.1 would probably prompt once per protocol on startup. If its not, then I've got no idea what is going on as the core html protocol code should be handling the proxy just fine (assuming the equivalent Firefox version is handling it fine as well).
Comment 23 Patrick Rynhart 2011-05-19 14:18:11 PDT
Are there any known workarounds to this issue that would avoid username / password authentication requests for each image (when loading an HTML message with embedded images) ?

Thanks,

Patrick
Comment 24 Laurent Bauvens 2011-05-20 03:12:21 PDT
(In reply to comment #23)
> Are there any known workarounds to this issue that would avoid username /
> password authentication requests for each image (when loading an HTML
> message with embedded images) ?

Workaround: Before clicking on a rich html mail (like an advertising mail or a newsletter), select View -> Message Body As -> Simple HTML to prevent all attempt of downloading images. Then, if you want to see the original version, click on the usual link "If this e-mail doesn't display correctly to you please click here" to display the web page on your default browser.
Comment 25 Axel Werner 2011-06-30 00:48:06 PDT
(In reply to comment #24)
> Workaround: ...select View -> Message Body As -> Simple HTML ... Then, if you want to see the original version, click on the usual link "If this e-mail doesn't display correctly to you please click here" ...

Thats no workaround, but a bad joke!
A Workaround may would be something to force TB to display some sort of a "starting page" containing a 1x1 pixel EXTERNAL IMAGE so it would ask the user just ONE TIME (at programm start) for a proxy authentication. But i dont know if that would be possible and how to do put that into the users config. 

PLEASE CHECK OUT THE DATE OF THIS BUG! Its been YEARS now. Is it realy that hard to recheck the credentials lookup routine at the proxy auth. module  and also add a "remember credentials" checkbox to the proxy auth. dialog? i realy wished i would have better code experience to check it all by myself. but im not that experienced. 

best wishes
Axel
Comment 26 Ludovic Hirlimann [:Usul] 2011-06-30 00:53:04 PDT
*** Bug 576494 has been marked as a duplicate of this bug. ***
Comment 27 Fabio Figueiredo 2011-07-01 12:12:26 PDT
WOW still not working...

Well after mozilla last comments about the enterprise users ... no surprises here.

I already gave up, and uninstalled thunderbird from almost all machines in our company.

But i tested the Seamonkey e-mail client some time ago, and its was not affected by this bug. its very lightweight and simple , you just have to set the mail client as the default app.

best regards fellas.
Comment 28 Fabio Figueiredo 2011-07-04 10:27:13 PDT
Nah ! ... seamonkey has the same problem ...
Comment 29 jisse44 2011-09-16 03:09:21 PDT
Still have this blocking Problem with TB 5, 6 .....
Comment 30 Mark Banner (:standard8) 2011-11-15 14:39:21 PST
After some re-examination, I believe this will be fixed when bug 535103 is fixed. This bug actually appears to cover two issues:

1) The fact that you can't save your password for proxy dialogs. This is covered by bug 535103.

2) If you didn't save your password but still entered it correctly, you would get multiple dialogs. This was fixed by bug 475053, but the first issue has overrode the fix.

Bug 535103 now has a patch on which should land in the next day or two. I'll resolve this when it lands and point people to where the test builds will be.
Comment 31 Mark Banner (:standard8) 2011-11-16 02:43:58 PST
Bug 535103 has just landed and this should be fixed in trunk (TB 11) builds, we may be backporting to releases so this gets out earlier.

Note You need to log in before you can comment on or make changes to this bug.